@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");

* {
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

:root {
  /* --milky__color: #cfcbb4; */
  --dark__color: #203a44;
  --dark__red__color: #c71212;
  --light-grey-color: #efefef;
  --grey-color: #b8b8b8;
  --dark-grey-color: #87878b;
  /*--darkest-grey-color: ;*/
}

.disabled {
  cursor: not-allowed;
}

body {
  background: #e4e9f7;
}

.content {
  position: absolute;

  right: 0;
  width: calc(100% - 78px);
  height: 100%;
  transition: ease-out, 500ms;
}

.container__of__task {
  margin: 0 6%;

  min-width: 88%;
  height: 80%;
  min-width: 260px;

  border-radius: 20px;
  transition: ease-out, 0.5s;
}

.task {
  width: 100%;
  height: min-content;
  min-height: 100%;
  /* padding: 10% 0; */

  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;

  background-color: #fff;
  border-radius: 20px;
    -webkit-box-shadow: 0px 15px 30px -5px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 0px 15px 30px -5px rgba(34, 60, 80, 0.2);
    box-shadow: 0px 15px 30px -5px rgba(34, 60, 80, 0.2);
    transition: ease-out, 0.5s;
}

/*.task:hover {*/
/*  -webkit-box-shadow: 0px 15px 30px -5px rgba(34, 60, 80, 0.2);*/
/*  -moz-box-shadow: 0px 15px 30px -5px rgba(34, 60, 80, 0.2);*/
/*  box-shadow: 0px 15px 30px -5px rgba(34, 60, 80, 0.2);*/
/*  transition: ease-out, 0.5s;*/
/*}*/

#header {
  display: flex;
  justify-content: center;

  width: 100%;
}

.container_of_title {
  text-decoration: none;
}

.title {
  margin: 17px;
  font-weight: bold;
  font-size: 33px;
  color: black;
  cursor: pointer;
}

.compression {
  width: calc(100% - 260px);
}

#container__of__solved__examples {
  direction: ltr;
}

#scroll__container {
  display: flex;
  flex-direction: column;
  direction: rtl;
  overflow: auto;

  width: 100%;
  height: 95%;
  padding-left: 8px;
}

.statistics {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: absolute;

  top: 80px;
  left: 35px;
  height: 80%;

  color: var(--dark__color);
  font-family: "Roboto", sans-serif;
}

.solved__examples__in__popup {
  position: relative;
  display: flex;

  top: 0;
  left: 0;
  width: 90%;
  max-height: 250px;
  margin-top: 20px;
}

.button4opening__of__final__statistics {
  position: absolute;
  bottom: 15px;
  left: 35px;
}

#final__statistics__text {
  font-size: 5.5vw;

  text-align: center;
}

@media (min-width: 500px) {
  #final__statistics__text {
    font-size: 30px;
  }
}

#scroll__container::-webkit-scrollbar {
  width: 10px;
}

#scroll__container::-webkit-scrollbar-track {
  background-color: #bebebe;
  border-radius: 10px;
}

#scroll__container::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background: #203a44;
}

.box__of__solved__example {
  opacity: 1;
  display: flex;
  align-items: center;
}

.start__answer,
.solved__example {
  font-size: large;
}

.solved__example {
  margin: 5px 12px;
}

.cross,
.mark {
  padding: 3px 0 0;
  margin: 0;
  display: none;
  font-size: 18px;
}

.mark {
  color: rgb(14, 83, 43);
}

.cross {
  color: var(--dark__red__color);
}

.corrected__answer {
  margin: 0 15px;
  color: var(--dark__color);
  font-size: large;
  font-family: "Roboto", sans-serif;
  display: none;
}

.answer {
  display: none;
  position: relative;
}

.answer:before {
  border-bottom: 2px solid var(--dark__red__color);
  position: absolute;
  top: 2px;
  content: "";
  width: 100%;
  height: 50%;
  transform: rotate(-13deg);
}

u {
  text-decoration-color: var(--dark__red__color);
}

#timer {
  position: absolute;
  font-size: xx-large;

  right: 10%;
  top: 10%;

  color: var(--dark__color);
}

.hide {
  display: none;
}

.col-3 {
  text-align: start;
  z-index: 10;
}

input {
  color: var(--dark__color);
  border: 1.4px solid var(--dark__color);
  font-size: 20px;
  outline: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

.buttons {
  margin: 0;
  display: flex;
  justify-content: center;
}

.button {
  width: 152px;
  height: 50px;

  box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: transparent;

  border: 2px solid #203a44;
  border-radius: 0.6em;
  color: #203a44;
  cursor: pointer;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-item-align: center;

  line-height: 1;
  margin: 20px;
  /* padding: 1em 6em 1.8em 3em; */
  align-items: center;
  justify-content: center;
  text-decoration: none;
  text-align: center;
  text-transform: uppercase;
  font-size: 1rem;
  font-weight: 400;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  -webkit-transition: box-shadow 300ms ease-in-out, color 300ms ease-in-out;
  transition: box-shadow 300ms ease-in-out, color 300ms ease-in-out;
}

.button:hover {
  box-shadow: 0 0 40px 40px #203a44 inset;
  color: #fff;
  outline: 0;
  cursor: pointer;
}

#answerForm {
  display: flex;
  align-items: center;
}

#maintForm {
  display: flex;
  flex-direction: column;
  text-align: center;
  margin-top: 7%;
}

output {
  font-size: 39px;
}

.out {
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;

  color: var(--dark__color);
}

.settings {
  margin: 45px 0;
}

.settings-block {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0 10px;
}

@media (max-width: 420px) {
  .button {
    width: 115px;
    height: 40px;
  }
}

@media (max-width: 560px) {
  .settings {
    margin-left: 28px;
    max-width: calc(80%);
    margin-right: 7%;
  }
  #answerForm {
    flex-wrap: wrap;
    justify-content: center;
    /* width: 60%; */
  }
  .otstup5px {
    margin-right: 5px;
  }
  .col-3 {
    max-width: 80%;
  }
  .buttons {
    margin: 0px;
  }

  #answerForm {
    flex-wrap: wrap;
    justify-content: center;
  }
}

@media (max-width: 800px) {
  .sidebar.close {
    left: -78px;
  }
  .telver__menu {
    left: 0px;
    z-index: 100;
    position: fixed;
    border-radius: 20px;
    width: 100%;
    height: 60px;
  }
  .logo-details {
    max-width: 60px;
    max-height: 60px;
  }

  .bx-menu::before {
    margin-left: -20px;
    /* filter: invert(100%); */
  }

  .nav-links {
    padding: 30px 0 150px 0 !important;
  }
  .content {
    width: 100%;
  }
  * {
    transition: ease-out 0.5s;
  }
  .log__det__prev {
    background-color: #11101d;
    z-index: 101;
    display: block;
    height: 60px;
    width: 100%;
    align-items: center;
  }
}

@media (max-width: 1110px) {
  #timer {
    position: relative;
    top: 0;
    right: 0;
    margin: 30px 0;
  }
  #maintForm {
    margin-top: 0;
  }
  .button4opening__of__final__statistics {
    position: relative;
    left: 0;
    margin: 45px 0 0;
  }
}
